Bug 239989 - String of 0s prints to screen during/after boot
String of 0s prints to screen during/after boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-05-14 01:13 EDT by Rand Olmsted
Modified: 2008-02-07 23:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 23:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rand Olmsted 2007-05-14 01:13:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20070313 Fedora/ Firefox/

Description of problem:
I compiled and installed a vanilla kernel and the following problem does not occur.
Beginning during the boot messages and continuing thereafter, a string of zeros begins printing to the console. If I hold down the shift key the zeros turn to closing parenthesis. After boot, I cannot log into a console session because the output will not stop even when another key is pressed so I am unable to enter a password. I can stop it under X by hitting another key (the problem always occurs when I use the 0 or ) key, chars will repeat until a text box reaches its char limit. The problem only occurs with the "0 )" key and not with the "0 Ins" key on the number pad, no other keys have this problem; it will happen with the keyboard unplugged during boot.
At boot time the BIOS and GRUB text entry is fine.

An upgrade from kernel 2.6.18-1.2978 to 2.6.20-1.2944 precipitated this problem. I upgraded to kernel 2.6.20-1.2948 and the problem still occurs.

While trying to determine at what point the problem occurs I set udev_log="debug" in /etc/udev/udev.conf. As I watch the messages sent to the console during boot I see the problem occur just after a line containing "udev_done seq 838 pid [17##]" (process id varies, it is usually 1781 but I have seen 1776,1777 and 1783 on occasion). I have "*.* /var/log/everything.log" in /etc/syslog.conf but it doesn't log the earlier udev messages (the earliest I get is pid 3649). The same is true for /var/log/messages. I don't see any clues in dmesg either.  Let me know if you want any of those files.

The problem occurs with:
uname -a
Linux brainsucker 2.6.20-1.2948.fc6 #1 SMP Fri Apr 27 19:48:40 EDT 2007 i686 i686 i386 GNU/Linux

But not with this vanilla kernel (I used the same base version for apples to apples, default config only):
uname -a
Linux brainsucker #1 SMP Sun May 13 20:59:50 EDT 2007 i686 i686 i386 GNU/Linux

I am using a Logitech Cordless Desktop EX110 keyboard/mouse combo, the RF Receiver is connected to the PS/2 ports. My motherboard is an Asus P5NSLI (nVidia chipset).
From device manager:
info.parent: /org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port
info.product: AT Translated Set 2 keyboard
linux.device_file: /dev/input/event1

I have installed fedora core 6 thrice on this machine. i686 - x86_64 - i686 I did the last install with core components only then updated just the kernel ... the problem occurred. I also installed the x86_64 version, between the i686 installs, and it has the same problem.

If I can be of any further assistance I will be happy to help.


Version-Release number of selected component (if applicable):
kernel 2.6.20-1.2944 or newer (i686 and x86_64)

How reproducible:

Steps to Reproduce:
1.Boot the computer with kernel 2.6.20-1.2944.fc6 or newer
2.Problem occurs partway through boot sequence (udev messages positing at time problem is initially noticed).
3.Any time a 0 or ) is typed using the "0)" key, numberpad is ok 

Actual Results:
A string of 0s printed to the screen during boot, repeated 0 or ) chars to textboxes, console, etc. when "0)" key is used.  Unable to login to a console session, X session ok after erasing the 0s from the login textbox.

Expected Results:
No unrequested 0s printed to screen during boot, a single 0 or ) output per normal keypress.

Additional info:
Here is some sample output, the string was started by pressing the "0)" key one time.  The change from 0 to ) happens when the shift key is held down.

Comment 1 Chuck Ebbert 2007-05-14 12:35:51 EDT
kernel 2.6.20-1.2944 is based on Linux, not

Please test 1.2949 (or later) from http://people.redhat.com/cebbert
Comment 2 Rand Olmsted 2007-05-14 18:46:10 EDT
uname -a
Linux brainsucker 2.6.20-1.2949.fc6 #1 SMP Wed May 2 15:01:06 EDT 2007 i686 i686
i386 GNU/Linux

Installed from the page linked by Chuck, the problem is still present and
appears to have the same characteristics as originally posted.
Comment 3 Jon Stanley 2008-01-07 20:55:17 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Jon Stanley 2008-02-07 23:28:16 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.